# Interface PackageTree

All Superinterfaces:
  `Tree`

public interface PackageTree extends Tree
Represents the package declaration.

See Java Language Specification:
  7.3 Compilation Units
  7.4 Package Declarations
Since:
  9

## Nested Class Summary

### Nested classes/interfaces declared in interface Tree

`Tree.Kind`

## Method Summary

Modifier and Type
Method
Description
`List<? extends AnnotationTree>`
`getAnnotations()`
Returns the annotations associated with this package declaration.
`ExpressionTree`
`getPackageName()`
Returns the name of the package being declared.

### Methods declared in interface Tree

`accept, getKind`

## Method Details

### getAnnotations

List<? extends AnnotationTree> getAnnotations()
Returns the annotations associated with this package declaration.

Returns:
  the annotations

### getPackageName

ExpressionTree getPackageName()
Returns the name of the package being declared.

Returns:
  the name